Entwurf Punkt

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Point and the translation is 79% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Point.svg {{{Name/de}}}

Menüeintrag
Draft → Punkt
Arbeitsbereich
Entwurf Arbeitsbereich, Arch
Standardtastenkürzel
P T
In der Version eingeführt
0.7
Siehe auch
Entwurf Linie, Entwurf Draht


Beschreibung

Das Punkt Werkzeug erzeugt einen einfachen Punkt in der aktuellen Arbeitsebene, hilfreich um später als Referenz für das Platzieren von Linien, Drähten oder anderen Objekten zu dienen. Es verwendet den Entwurf Linienstil. (nur die Farbe) setzt auf den Entwurf Fach.

Draft point example.jpg

Ein einzelner Punkt auf der Arbeitsebene


Anwendung

  1. Drücke die Draft Point.png Entwurf Punkt Schaltfläche oder drücke die Tasten P dann T
  2. Klicke einen Punkt in der 3D Ansicht oder tippe eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.

Optionen

  • Um manuell Koordinaten einzugeben, trage einfach die Zahlen ein, drücke dann Enter zwischen jeder der X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, um den Punkt einzufügen, nachdem Du die gewünschten Werte eingeben hast.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zur Umschaltung des 'Nächstes-Modus. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Punkt-Werkzeug nach der Eingabe des Punkts erneut starten, ohne dass Du den Werkzeug-Button nochmal drücken musst.
  • Drücke Esc oder den Schließen-Button zum Abbruch des aktuellen Befehls.

Eigenschaften

  • Daten-EigenschaftX: die X-Koordinate des Punktes.
  • Daten-EigenschaftY: die Y-Koordinate des Punktes.
  • Daten-EigenschaftZ: die Z-Koordinate des Punktes.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Punkt Werkzeug kann in Makros und aus der Python Konsole durch folgende Funktion verwendet werden:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Erstellt ein Punkt-Objekt an den angegebenen X-, Y- und Z-Koordinaten mit Einheiten in mm. Falls keine Koordinaten angegeben werden, wird der Punkt bei (0,0,0) angelegt.
    • Falls X ein durch einen FreeCAD.Vector definierter Punkt ist, wird dieser verwendet.
  • color ist ein Tupel (R, G, B), das die Farbe des Punktes in der RGB-Farbskala angibt; jeder Wert des Tupels sollte im Bereich von 0 bis 1 liegen.
  • name ist der Name des Objekts.
  • point_size ist die Größe des Objekt in Pixeln, falls die grafische Benutzeroberfläche geladen ist

Beispiel:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Beispiel:

Dieser Code erzeugt N zufällige Punkte innerhalb eines Quadrats der Seite 2L. Er macht eine Schleife, die N Punkte erzeugt, die überall von -L bis +L auf X und Y erscheinen können; er wählt auch eine zufällige Farbe und Größe für jeden Punkt. Ändere N, um die Anzahl der Punkte zu ändern, und ändere L, um den von den Punkten abgedeckten Bereich zu ändern.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()